/* Lato-regular */
@font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local('Lato Regular'), local('Lato-Regular'),
         url('../fonts/Lato-Regular.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
         url('../fonts/Lato-Regular.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
  }


/* Lato-italic */
@font-face {
    font-family: 'Lato';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: local('Lato Italic'), local('Lato-Italic'),
        url('../fonts/Lato-Italic.woff2') format('woff2'), /* Chrome 26+, Opera 23+, Firefox 39+ */
        url('../fonts/Lato-Italic.woff') format('woff'); /* Chrome 6+, Firefox 3.6+, IE 9+, Safari 5.1+ */
}


/*
*   Generel adjustments for 
*   html, body, li, a, h1
*/
* {
    margin: 0;
    padding: 0;
    border: 0;
    list-style: none;
    box-sizing: border-box;
}


html {
    font-size: 80%;
    font-family: 'Lato', sans-serif;
    background-color: rgb(248, 248, 248);
    max-width: 100%;
    overflow-x: hidden;
}


body {
    max-width: 100%;
    overflow-x: hidden;
}


li {
    list-style: none;
}


a {
    text-decoration: none;
}


h1 {
    line-height: 1.2;
}


/* head portion of the page */
#header {
    border-bottom: 1px solid #a3a6aa;
    width: 986px;
    margin: 0 auto;
    padding-top: 12px;
}


#navbar {
    display: flex;
    justify-content: space-between;
    width: 986px;
    margin: 0 auto;
    padding: 2rem 0.5rem 1rem 0.5rem;
}


#nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.nav-item {
    margin-left: 4rem;
}


.nav-link {
    font-size: 1.6rem;
    color: #475569;
}


.nav-link:hover {
    color: #3444d4;
}


#nav-logo {
    padding: 20px;
}


#logoimage {
    float: left;
    width: 80px;
    margin: 20px 30px 20px 0px;
}


/* Hamburger menu and animation handling */
#hamburger {
    position: absolute;
    display: none;
    top: 40px;
    right: 30px;
}


.bar {
    display: block;
    width: 2.5em;
    height: 4px;
    margin: 0.8em auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color: #101010;
    border-radius: 5px;
}


#hamburger .bar:nth-child(2) {
    width: 2.2em;
}


#headline {
    margin-top: 0.8em;
    font-size: 135%;
    line-height: 0.4em;
}


#underHeadline {
    font-size: 95%;
    font-weight: 300;
    line-height: 1;
}


/* Style for single banner images and multi banner images */
.banner-image {
    width: 100%;
    max-height: 13.5em;
    height: 22vw;
    object-fit: cover;
}


.banner-row {
    display: flex;
    overflow: hidden;
    height: 100%;
}


.single-banner-image {
    float: left;
}


/* Content and  subdivision in text, image and contact "widgets" */
#content {
    font-size: 125%;
    padding: 0.5em;
    width: 986px;
    margin: 0 auto;
    border-radius: 10px;
    background-color: rgb(255, 255, 255);
}


.content-row {
    display: flex;
    flex-direction: row;
}


.contact {
    background-color: #b8dafa;
    width: 80%;
    padding: 20px;
    border-radius: 5px;
    margin: 1% 4% 1% 4%;
    text-align: center;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.15);
}


.icons-small {
    width: 18px;
    margin-right: 4px;
}


.side-image {
    width: 70%;
    padding: 10px;
    margin: 0% 4% 0% 4%;
}


.side-image:hover {
    opacity: 90%;
}


.href-image {
    padding-left: 12%;
}


.mid-header {
    margin: 2%;
    padding: 2% 0% 3% 0%;
    width: 94%;
    border-bottom: 1px solid #a3a6aa;
}


.text {
    margin: 2%;
    padding: 2% 0% 2% 0%;
}


.text-block {
    width: 100%
}


.contact-col {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 80%;
}


.tableCol1 {
    width: 140px;
}


.tableCol2 {
    width: 340px;
}


/* seperate header and list elements for job searches */
.job-header {
    margin: 2%;
    padding: 2% 0% 3% 0%;
    width: 94%;
    text-align: center;
}


ul.job-list li {
    display: list-item;
    list-style-type: circle;
}


ul.job-list {
    margin-left: 1em;
}


/* lightbox for image view from [https://www.w3schools.com/howto/howto_js_lightbox.asp](https://www.w3schools.com/howto/howto_js_lightbox.asp) */
.lightbox {
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 2em;
    background: rgba(0, 0, 0, 0.85);
}


.lightbox:target {
    display: block;
}


.lightbox span {
    display: block;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}


/* footer design and link styles*/
#footer {
    width: 986px;
    font-size: 120%;
    background-color: rgb(108, 118, 124);
    text-align: center;
    color: white;
    padding: 2%;
    bottom: 0;
    border-radius: 5px;
    margin: 30px auto;
}


#footer a {
    color: white;
    text-decoration: underline;
}


#footer a:hover {
    color: #133675;
}


a:link,
a:active,
a:visited {
    color: black;
}


/* Grid System */


.grid-container {
    display: flex;
}


.grid-description {
    font-size: 120%;
}


.grid-title {
    text-align:center;
    margin-top: 20px;
    margin-bottom:30px;
    min-width: 50%;
    position: relative;
    text-decoration: none;
    vertical-align: top;
}


.grid-tile {
    width: 100%;
}


.job-search-text {
    text-align: center;
    overflow: hidden;
    font-size: clamp(0.9rem, 1.8vw, 1.5rem);
    line-height: 1.3;
}


.grid-tile-button {
    padding: 40px;
    margin: 10px;
    height: auto;
    min-height: 150px;
    background: #4e7acc linear-gradient(to left, #4e7acc 49.5%, #b8dafa 50.5%) repeat scroll 0 0 / 200% 100%;
    transition: background-position 0.18s ease 0s;
    user-select: none;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.grid-tile-button:hover {
    background-position: 100% 0;
    color: #FFFFFF;
    cursor: pointer;
    -webkit-transform: scale(0.96) perspective(400px);
    -moz-transform: scale(0.96) perspective(400px);
    -ms-transform: scale(0.96) perspective(400px);
    transform: scale(0.96) perspective(400px);
    background-color: #4e7acc;
}


.grid-tile:active,  
.grid-tile.active {  
    width: 90%;
    transition: all 0.25s linear;
}


.grid-tile-button:active,  
.grid-tile-button.active {
    width: 100%;
    height: 80px;
    padding: 10px;
    bottom: -10px;
    transition: all 0.25s linear;
}


.grid-tile.active > .grid-tile-button br {  
    display: none;
}


.grid-tile.active > .grid-tile-button > .grid-arrow {  
    display: block;
}


.grid-tile.active >  .job-search-1-content{
    position: relative;
    display: flex;
    flex-direction: column;
    width: 110%;
}


.job-search-1-content {
    color: #000000;
    display: none;  
}


.grid-arrow {
    user-select: none;
    float: left;
    margin: 8px;
    display: none;
    padding-top: 14px;
}


@media only screen and (max-width: 986px) {


    /*
    *   Generel adjustments for 
    *   html, body, li, a, h1
    */
    html {
        font-size: 0.85em;
    }


    /* head portion of the page */
    #headline {
        font-size: 1.25em;
        max-width: 80vw;
    }


    #logoimage {
        width: 75px;
    }


    /* new menu for mobile view (by pressing hamburger menu) */
    #nav-menu {
        z-index: 999;
        position: fixed;
        left: -100%;
        top: 8em;
        transform: translateX(5%);
        flex-direction: column;
        background-color: #fff;
        width: 90%;
        border-radius: 15px;
        text-align: center;
        transition: 0.5s;
        box-shadow: 0 10px 27px rgba(0, 0, 0, 0.15);
    }


    #nav-menu.active {
        left: 0;
    }


    .nav-item {
        margin: 2.5rem 0;
    }


    #hamburger {
        display: block;
        cursor: pointer;
    }


    #hamburger.active .bar:nth-child(2) {
        opacity: 0;
    }


    #hamburger.active .bar:nth-child(1) {
        transform: translateY(14px) rotate(45deg);
    }


    #hamburger.active .bar:nth-child(3) {
        transform: translateY(-16px) rotate(-45deg);
    }


    /* Content portion */
    #header {
        padding-left: 1.5%;
    }


    .tableCol1 {
        width: 26%;
    }


    .tableCol2 {
        width: 50%;
    }


    .content-row {
        flex-direction: column;
    }


    .contact-col {
        align-items: center;
        justify-content: center;
        width: 100%;
    }


    .side-image {
        width: 70%;
        padding: 10px;
        margin: 0% 4% 0% 4%;
    }


    .contact {
        float: none;
        background-color: #b8dafa;
        width: 100%;
        border-radius: 5px;
        margin: 4% 0% 0% 0%;
        box-shadow: 0 10px 10px rgba(0, 0, 0, 0.15);
        transform: translate(0%, 0%);
    }


    #content {
        width: 100%;
        padding: 0% 2% 0% 2%;
    }


    .icons-small {
        width: 18px;
        margin-right: 4px;
    }


    .text {
        margin: 2%;
    }


    /* footer style */
    #footer {
        width: auto;
    }


    /* Grid System */


    .grid-description {
        font-size: 100%;
    }


    .grid-container {
        margin: 4px;
        display: block
    }


    .grid-tile {
        width: 100%;
    }
}
